Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Como instalar Firefox e GTK+
07/07/2008, 10:35
Resposta: #1
Como instalar Firefox e GTK+
OLá Amigos, estou com problemas para instalar o firefox e o GTK+ , descompactei o pacote do firefox e execute o ./firefox mas sem resultado positivo, por favor poderiam me orientar em como contornar este problema ?
Desde já meu muito obrigado.

debian:/opt/FIREFOX# ls -l --color=yes
total 16348
-rw-r--r-- 1 root root 2025 2008-07-07 06:13 application.ini
-rwxr-xr-x 1 root root 981 2008-07-07 06:13 blocklist.xml
-rw-r--r-- 1 root root 232 2008-07-07 06:13 browserconfig.properties
-rwxr-xr-x 1 root root 45096 2008-07-07 06:13 crashreporter
-rw-r--r-- 1 root root 3915 2008-07-07 06:13 crashreporter.ini
-rw-r--r-- 1 root root 650 2008-07-07 06:13 crashreporter-override.ini
-rwxr-xr-x 1 root root 3949 2008-07-07 06:13 firefox
-rwxr-xr-x 1 root root 7476 2008-07-07 06:13 firefox-bin
-rw-r--r-- 1 root root 476 2008-07-07 06:13 libfreebl3.chk
-rwxr-xr-x 1 root root 292340 2008-07-07 06:13 libfreebl3.so
-rwxr-xr-x 1 root root 30724 2008-07-07 06:13 libjemalloc.so
-rwxr-xr-x 1 root root 602680 2008-07-07 06:13 libmozjs.so
-rwxr-xr-x 1 root root 200736 2008-07-07 06:13 libnspr4.so
-rwxr-xr-x 1 root root 913844 2008-07-07 06:13 libnss3.so
-rwxr-xr-x 1 root root 304640 2008-07-07 06:13 libnssckbi.so
-rwxr-xr-x 1 root root 119588 2008-07-07 06:13 libnssdbm3.so
-rwxr-xr-x 1 root root 77564 2008-07-07 06:13 libnssutil3.so
-rwxr-xr-x 1 root root 13224 2008-07-07 06:13 libplc4.so
-rwxr-xr-x 1 root root 8684 2008-07-07 06:13 libplds4.so
-rwxr-xr-x 1 root root 125676 2008-07-07 06:13 libsmime3.so
-rw-r--r-- 1 root root 476 2008-07-07 06:13 libsoftokn3.chk
-rwxr-xr-x 1 root root 181776 2008-07-07 06:13 libsoftokn3.so
-rwxr-xr-x 1 root root 397668 2008-07-07 06:13 libsqlite3.so
-rwxr-xr-x 1 root root 160036 2008-07-07 06:13 libssl3.so
-rwxr-xr-x 1 root root 11816 2008-07-07 06:13 libxpcom.so
-rwxr-xr-x 1 root root 12962304 2008-07-07 06:13 libxul.so
-rwxr-xr-x 1 root root 10772 2008-07-07 06:13 mozilla-xremote-client
-rw-r--r-- 1 root root 112 2008-07-07 06:13 old-homepage-default.properties
-rw-r--r-- 1 root root 41 2008-07-07 06:13 platform.ini
-rw-r--r-- 1 root root 204 2008-07-07 06:13 README.txt
-rwxr-xr-x 1 root root 15767 2008-07-07 06:13 removed-files
-rwxr-xr-x 1 root root 11410 2008-07-07 06:13 run-mozilla.sh
-rw-r--r-- 1 root root 825 2008-07-07 06:13 Throbber-small.gif
-rwxr-xr-x 1 root root 69672 2008-07-07 06:13 updater
-rw-r--r-- 1 root root 157 2008-07-07 06:13 updater.ini

debian:/opt/FIREFOX# ./firefox
Error: no display specified

Fran
Why use Windows if we've got doors ?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
09/07/2008, 13:23
Resposta: #2
 
Olá fransdantas,

Você está rodando o firefox como root, correto?

Tente rodar com o seu usuário normal e veja se o problema se repete.
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
09/07/2008, 13:24
Resposta: #3
 
Tópico movido para Software para uma melhor organização do fórum.
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
10/07/2008, 21:54
Resposta: #4
 
Porque vc não usa o swiftweasel?? Ele é uma versão melhorada do firefox...tem uma versão específica para cada processador...

www.swiftweasel.sourceforge.net/
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
11/07/2008, 09:38
Resposta: #5
 
Mas o fireFox ainda nao foi instalado, quando tento instalar ele reporta que precisa do GTK+, tentei instalar via apt-get, sem sucesso, nao instala, existe outro nome para essa biblioteca ?

Fran
Why use Windows if we've got doors ?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
11/07/2008, 13:10
Resposta: #6
 
fransdantas Escreveu:Mas o fireFox ainda nao foi instalado, quando tento instalar ele reporta que precisa do GTK+, tentei instalar via apt-get, sem sucesso, nao instala, existe outro nome para essa biblioteca ?

Se você baixou o firefox por .tar.gz não é necessário instalar, apenas executar o binário que vem com ele.

Qual o erro especificamente que aparece em relação ao gtk?
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
20/07/2008, 19:15
Resposta: #7
 
Ele reporta que é necessário instalar a dependencias para rodar o firefox, e uma delas é o gtk

Fran
Why use Windows if we've got doors ?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/07/2008, 02:52
Resposta: #8
 
Instala esses pacotes e reporta se funcionou.

libgtk2.0-0
libstdc++5
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/07/2008, 07:54
Resposta: #9
 
Obrigado pela ajuda, executei a instalação dos pacotes mencionados, mesmo assim ao tentar executar o seguinte erro é apresentado

debian:/usr/lib/mozilla-firefox# ./firefox
Error: no display specified

O que pode estar errado ?

Fran
Why use Windows if we've got doors ?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/07/2008, 15:19
Resposta: #10
 
rode-o como usuário normal.. ($)
você está rodando como root! (#)

Arch Linux Overlord
GNU/Linux Debian Lenny
Linux user # 438750
http://jonathasonline.wordpress.com
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/07/2008, 07:31
Resposta: #11
 
Quando tento rodar como usuario comum recebo uma janela reportando o seguinte erro. . . .

We're sorry, this application requires a version of the GTK+ library that is not installed on your computer.

You have GTK+ 2.8.
This application requires GTK+ 2.10 or newer.

Please upgrade your GTK+ library if you wish to use this application.

Já tentei instalar o GTK+, porem sem sucesso, como posso contornar este problema ?

Fran
Why use Windows if we've got doors ?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
23/07/2008, 01:34
Resposta: #12
 
http://www.forumdebian.com.br/topico-71 ... 2_10_.html

Quando postar coloque versão do programa e do sistema operacional.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS